<?php get_header(); ?>
<?php get_sidebar(); ?>
<div id="content">
	<?php if ( is_home() ) { ?>
		<div class="spacer"></div>
	<?php } ?>

<?
	if (have_posts()) :
		$post = $posts[0]; // Hack. Set $post so that the_date() works.
		if (is_category()) { /* If this is a category archive */ ?>
				<p class="archivetitle">Архив для категории "<?php echo single_cat_title(); ?>"</p>
<?		} elseif (is_day()) {  /* If this is a daily archive */ ?>
				<p class="archivetitle">Архив за <?php the_time('F jS, Y'); ?></p>
<?		} elseif (is_month()) { /* If this is a monthly archive */ ?>
				<p class="archivetitle">Архив за <?php the_time('F, Y'); ?></p>
<?		} elseif (is_year()) { /* If this is a yearly archive */ ?>
				<p class="archivetitle">Архив за <?php the_time('Y'); ?></p>
<?		} elseif (is_search()) { /* If this is a search */ ?>
				<p class="archivetitle">Результаты поиска</p>
<?		} elseif (is_author()) { /* If this is an author archive */ ?>
				<p class="archivetitle">Автор Архива</p>
<?		} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { /* If this is a paged archive */ ?>
			<p class="archivetitle">Блог Архив</p>
<?		} elseif (is_tag()) { /* If this is a tag archive */ ?> 
				<p class="archivetitle">Теги Архив за "<?php single_tag_title(); ?>"</p>
<?		}

		while (have_posts()) : the_post(); ?>
			<div id="post-<?php the_ID(); ?>" class="post">
				<div class="post_header">
					<span class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка к <?php the_title_attribute(); ?>"><?php the_title(); ?></a></span>
					<span class="postauthor">Автор: <?php the_author_posts_link('nickname'); ?><?php edit_post_link(' // Edit',' ',''); ?></span>
					<span class="date_m"><?php the_time('M');?></span>
					<span class="date_d"><?php the_time('d');?></span>
				</div>
				<div class="entry">
					<? if (is_search()){
							the_excerpt();
						}else{
							the_content('Подробнее...'); 
						}
					?>
				</div>	
				<div class="info">
					<span class="category">Рубрики: <?php the_category(', ') ?></span>
					<? the_tags('&nbsp;|&nbsp;<span class="tags">Теги: ', ', ', '</span>'); ?>
					&nbsp;|&nbsp;<span class="bubble"><?php comments_popup_link('Комментировать', '1 Комментарий', '% Комментариев' ); ?></span>
				</div>
			</div>
		<?php endwhile; ?>
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Предыдущие записи') ?></div>
			<div class="alignright"><?php previous_posts_link('Следующие записи &raquo;') ?></div>
		</div>

	<?php else : ?>
		<h3>Не найдено</h3>
		<p class="sorry">"Извините, но вы ищете что-то не здесь. Попробуйте что-нибудь другое.</p>
	<?php endif; ?>
</div>
<?php get_footer();?>